Package com.avaya.clientservices.media.capture

## Class VantageCapturer

- java.lang.Object
- - com.avaya.clientservices.media.gui.NativeObject
  - - com.avaya.clientservices.media.capture.VantageCapturer

- All Implemented Interfaces:
    `Destroyable`

      public class VantageCapturer
      extends NativeObject

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `destroy()` | Call this method when finished with the object; which will release the underlying C++ object.
    `int` | `getMeasuredCaptureFrameRate()` |
    `int` | `getMeasuredDeliverFrameRate()` |
    `VideoCaptureController.Params` | `getParams()` |
    `int` | `getRequestedCaptureFrameRate()` |
    `int` | `getRequestedDeliverFrameRate()` |
    `VideoSource` | `getVideoSource()` |
    `boolean` | `hasVideoCamera​(VideoCamera cameraType)` |
    `boolean` | `isCameraStarted()` |
    `void` | `setBlurBars​(boolean blurBars)` |
    `void` | `setLocalVideoLayer​(VideoLayerLocal localVideoLayer)` |
    `void` | `setParams​(VideoCaptureController.Params params)` |
    `void` | `setUsingVantageLibrary()` |
    `void` | `startCamera​(VideoCamera cameraType)` |
    `void` | `stopCamera()` |
    `void` | `useVideoCamera​(VideoCamera cameraType, VideoCaptureCompletionHandler callback)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### destroy

          public void destroy()

      Call this method when finished with the object; which will release the underlying C++ object.
      Specified by:
        `destroy` in interface `Destroyable`

    - #### getRequestedCaptureFrameRate

          public int getRequestedCaptureFrameRate()

    - #### getRequestedDeliverFrameRate

          public int getRequestedDeliverFrameRate()

    - #### getMeasuredCaptureFrameRate

          public int getMeasuredCaptureFrameRate()

    - #### getMeasuredDeliverFrameRate

          public int getMeasuredDeliverFrameRate()

    - #### hasVideoCamera

          public boolean hasVideoCamera​(VideoCamera cameraType)
                                 throws VideoCaptureException

      Throws:
        `VideoCaptureException`

    - #### isCameraStarted

          public boolean isCameraStarted()

    - #### startCamera

          public void startCamera​(VideoCamera cameraType)
                           throws VideoCaptureException

      Throws:
        `VideoCaptureException`

    - #### stopCamera

          public void stopCamera()
                          throws VideoCaptureException

      Throws:
        `VideoCaptureException`

    - #### setUsingVantageLibrary

          public void setUsingVantageLibrary()

    - #### getVideoSource

          public VideoSource getVideoSource()

    - #### setBlurBars

          public void setBlurBars​(boolean blurBars)

    - #### setLocalVideoLayer

          public void setLocalVideoLayer​(VideoLayerLocal localVideoLayer)

    - #### setParams

          public void setParams​(VideoCaptureController.Params params)

    - #### getParams

          public VideoCaptureController.Params getParams()

    - #### useVideoCamera

          public void useVideoCamera​(VideoCamera cameraType,
                                     VideoCaptureCompletionHandler callback)